/*
 * Class HASH_TABLE_ITERATION_CURSOR [INTEGER_32, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1999 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1999 [] = {0xFF01,1551,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1999 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1999 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1999 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1999 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1999 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1999 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1999 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1999 [] = {1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1999 [] = {0xFF01,1998,869,869,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1999 [] = {0xFF01,1997,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1999 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1999 [] = {0xFF01,1662,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1999 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1999 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1999 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1999 [] = {0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1999 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1999[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1999), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1999), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1999), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1999), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1999), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1999), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1999), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1999), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1999), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1999), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1999), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1999), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1999), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1999), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10639, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10640, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10641, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10642, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10643, 24},
	{EIF_GENERIC(egt_14_1999), 10645, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1999), 10646, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1999), 10647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1999), 10648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 10649, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10651, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10654, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10657, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1999), 10981, 0},
	{EIF_GENERIC(egt_19_1999), 10660, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1999), 10644, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1999), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1999), 10982, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10985, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1999), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1999), 10983, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1999), -1, 0xFFFFFFFF},
};
void Init1999(void)
{
	IDSC(desc_1999, 0, 1998);
	IDSC(desc_1999 + 1, 1, 1998);
	IDSC(desc_1999 + 32, 880, 1998);
	IDSC(desc_1999 + 52, 1088, 1998);
	IDSC(desc_1999 + 54, 1449, 1998);
	IDSC(desc_1999 + 58, 1309, 1998);
}


#ifdef __cplusplus
}
#endif
